Subject: RE: Why are lock tokens unique?

From: [email-masked]
Date: Fri, 15 Oct 1999 16:42:27 -0400

Which reminds me of yet another locks-and-simplification issue....

   RFC-2518 wants LOCK tokens to be universally unique.  Isn't it
   actually sufficient that they be unique relative to the LOCKed
   resource, kind of along the same lines as entity tags are unique?

Well.  2518 does support depth locks... so a single lock token
could apply to many resources.  A resource could have two locks
on it with the same token then.  Shared locks, albeit.

Also some recent proposals... like the one to remap locked request
URI's would depend on unique tokens.